> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Push Notification

> Send a Push Notification



## OpenAPI

````yaml /api-reference/push-openapi.json post /prod/push/
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/push/:
    post:
      tags:
        - One-Off Notifications
      summary: Send Push Notification
      description: Send a Push Notification
      operationId: api-send-push-notification
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - idSite
                - title
                - body
                - link
              properties:
                idSite:
                  type: integer
                  description: Site ID
                title:
                  type: string
                  description: Notification Title
                body:
                  type: string
                  description: Notification Body
                link:
                  type: string
                  description: Notification Link
                subscriber_uids:
                  type: array
                  description: Subscriber UIDS
                  items:
                    type: string
                segmentId:
                  type: integer
                  description: Segment ID
                alias:
                  type: string
                  description: A subscriber alias (usually a username, userid or email)
                customIcon:
                  type: string
                  description: 'url of custom icon to use (recommended size: 250x250)'
                customImage:
                  type: string
                  description: 'url of custom image to use (recommended size: 300x500)'
                push_ttl:
                  type: integer
                  description: >-
                    Time till a push should expire in seconds. Default is 1
                    week.
                  default: 604800
                auto_hide:
                  type: integer
                  description: >-
                    Number of seconds (255 max) until the notification will hide
                    automatically. Default is 0, which is persistent (requires
                    interaction)
                collapse_key:
                  type: string
                  description: >-
                    replace visible notifications on a subscribers device (e.g.
                    breaking_news)
                actions:
                  type: object
                  description: Action Buttons
                  properties:
                    a01:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
                    a02:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    message: Request received. Push sending shortly.
                    objectId: 5r777x9f8f01d
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #136.'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````